liblzma.so.5: no version information available (required by

Moderator: GiD Team

zyex1108zyex1108

liblzma.so.5: no version information available (required by

Postby zyex1108zyex1108 » Wed Mar 18, 2015 4:42 am

download the gid12.0.4-linux-x64-Install from the www.gidhome.com, have the error message when I install the software on my PC(env :Linux yutong 3.10.0-123.el7.x86_64 #1 SMP Mon Jun 30 12:09:22 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
),

[root@yutong mnt]# ./gid&
Configuring GiD for GLX Rendering
/opt/GiDx64/12.0.4/gid.exe: /opt/GiDx64/12.0.4/lib/liblzma.so.5: no version information available (required by /lib64/libselinux.so.1)

[root@yutong lib]# ls -al liblzma.so.*
-rwxr-xr-x 1 root root 558434 Feb 13 2014 liblzma.so.5
[root@yutong lib]#

.
[root@yutong lib64]# pwd
/lib64
[root@yutong lib64]# ls -al libselinux.*
-rw-r–r–. 1 root root 316560 Jun 10 2014 libselinux.a
lrwxrwxrwx. 1 root root 27 Mar 10 20:20 libselinux.so -> ../../lib64/libselinux.so.1
-rwxr-xr-x. 1 root root 147120 Jun 10 2014 libselinux.so.1
[root@yutong lib64]#
[root@yutong lib64]# ldd libselinux.so.1
linux-vdso.so.1 => (0x00007fff10db9000)
libpcre.so.1 => /lib64/libpcre.so.1 (0x00007fb25e788000)
liblzma.so.5 => /lib64/liblzma.so.5 (0x00007fb25e563000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007fb25e35e000)
libc.so.6 => /lib64/libc.so.6 (0x00007fb25df9d000)
/lib64/ld-linux-x86-64.so.2 (0x00007fb25ec39000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fb25dd81000)
[root@yutong lib64]#

when the GID start boot,libselinux.so.1 need call /opt/GiDx64/12.0.4/lib/liblzma.so.5。but libselinux.so.1 call the version of liblzma.so.5.0.99
[root@yutong lib64]# ls -al liblzma.so*
lrwxrwxrwx. 1 root root 17 Mar 10 20:20 liblzma.so -> liblzma.so.5.0.99
lrwxrwxrwx. 1 root root 17 Mar 17 16:50 liblzma.so.5 -> liblzma.so.5.0.99
-rwxr-xr-x. 1 root root 153184 Jun 10 2014 liblzma.so.5.0.99

so backup /opt/GiDx64/12.0.4/lib/liblzma.so.5为 /opt/GiDx64/12.0.4/lib/liblzma.so.5.back
do a link
ln -fs /lib64/liblzma.so.5.0.99 /opt/GiDx64/12.0.4/lib/liblzma.so.5

[root@yutong lib]# pwd
/opt/GiDx64/12.0.4/lib
[root@yutong lib]# ls -al liblzma.so.5
lrwxrwxrwx 1 root root 24 Mar 17 19:55 liblzma.so.5 -> /lib64/liblzma.so.5.0.99

start the gid

all ok!
User avatar
miguel
Posts: 344
Joined: Thu Sep 25, 2014 9:04 am

Re: liblzma.so.5: no version information available (required

Postby miguel » Wed Mar 18, 2015 11:11 am

Thanks for the information.
we'll take into account for the next versions.

thanks,

gidteam
zyex1108
Posts: 12
Joined: Tue Mar 17, 2015 1:30 pm
Contact:

Re: liblzma.so.5: no version information available (required by

Postby zyex1108 » Wed Mar 01, 2017 8:12 am

my os platform is centos 7.3 x_86_64.


why????how to solve this problem? thanks!!
Attachments
Screenshot from 2017-03-01 15-31-43.png
Screenshot from 2017-03-01 15-31-43.png (137.25 KiB) Viewed 3548 times

Return to “Installation”

Who is online

Users browsing this forum: No registered users and 1 guest